Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum GenerationTime

    java.lang.Object
      java.lang.Enum<GenerationTime>
          org.hibernate.annotations.GenerationTime

All Implemented Interfaces:
  Serializable, Comparable<GenerationTime>

    public enum GenerationTime

extends Enum<GenerationTime>

When should the generation occurs

Author:
  Emmanuel Bernard

Enum Constant Summary
`ALWAYS`
`INSERT`
`NEVER`

Method Summary
`static GenerationTime` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GenerationTime[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEVER

    public static final GenerationTime NEVER

### INSERT

    public static final GenerationTime INSERT

### ALWAYS

    public static final GenerationTime ALWAYS

Method Detail

### values

    public static final GenerationTime[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenerationTime c : GenerationTime.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenerationTime valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD